svn path=/trunk/; revision=18
ACTION="$(echo "$_GET[\"action\"]" |egrep '^[a-zA-Z0-9_-]+$')"
ACTION="${_EXEC}/actions/${ACTION}.sh"
-[ -x "$ACTION" ] || echo -n "Location: http://$HTTP_HOST/?page=error"
+[ -x "$ACTION" ] || echo -n "Location: http://$HTTP_HOST/?page=error\n\n"
. $ACTION
--- /dev/null
+#!/bin/zsh
+
+cgi_post
+
+debug $_POST
+
+echo -n "Location: http://$HTTP_HOST/?page=attendees\n\n"
[ -w "$_DATA" ] && [ -d "$_DATA" ] || die "storage directory must be writable"
# create directories for object storage
-for each in "$_DATA"/{vcard,mappings,courses,cache}; do
+for each in "$_DATA"/{vcard,mappings,courses,cache,temp}; do
[ ! -e "$each" ] && mkdir "$each"
[ -w "$each" ] && [ -d "$each" ] || die "storage $each must be a writable directory"
done
edit_attendee() {
cardfile="$1"
+ tempfile="temp/$_GET[\"edit\"].vcf"
+ [ -x "$tempfile" ] && cardfile="$tempfile"
unset key
vcf_parse "$cardfile" |while read -r line; do
declare -A tag